.tool {
  border-radius: 24px;
  background: linear-gradient(96deg, #66004F 0%, #851D6E 100%);
  box-shadow: 0 619px 173px 0 rgba(0, 0, 0, 0), 0 396px 158px 0 rgba(0, 0, 0, 0.01);
}
.tool__fieldset label {
  display: flex;
  flex-direction: column;
  row-gap: 12px;
}
.tool__fieldset label span {
  color: #fff;
  font-size: 14px;
  line-height: 20px;
}
.tool__fieldset label span:has(.tool__tooltip-btn) {
  display: inline-flex;
  align-items: center;
  gap: 4px;
}
.tool__input {
  border-radius: 24px;
  border: 0.5px solid #E6E6E6;
  background: #F9FAFA;
  box-shadow: 0 32px 9px transparent;
  padding: 13.5px 16px;
  text-align: center;
  color: #645E62;
  font-size: 13px;
  font-weight: 600;
  line-height: 18px;
  transition: border-color 0.2s ease, box-shadow 0.2s ease;
}
.tool__input::placeholder {
  color: #BEBEBE;
}
.tool__input::-webkit-input-placeholder {
  color: #BEBEBE;
}
.tool__input::-moz-placeholder {
  color: #BEBEBE;
}
@media (any-hover: hover) {
  .tool__input:hover {
    border-color: #851D6E;
  }
}
.tool__input:focus {
  box-shadow: 0 32px 9px rgba(206, 111, 177, 0), 0 21px 8px 0 rgba(206, 111, 177, 0.03), 0 12px 7px 0 rgba(206, 111, 177, 0.1), 0 5px 5px 0 rgba(206, 111, 177, 0.17), 0 1px 3px 0 rgba(206, 111, 177, 0.2);
}
.tool__input:disabled {
  background: #F5F5F5;
  color: #909090;
  cursor: not-allowed;
  opacity: 1;
}
.tool__input:disabled::placeholder {
  color: inherit;
}
.tool__input:disabled::-webkit-input-placeholder {
  color: inherit;
}
.tool__input:disabled::-moz-placeholder {
  color: inherit;
}
.tool__input[type=number] {
  -moz-appearance: textfield;
  appearance: textfield;
}
.tool__input[type=number]::-webkit-outer-spin-button, .tool__input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.tool__input.error {
  border-color: #E82E2E;
}
.tool__tooltip-btn {
  cursor: pointer;
  outline: none;
  border: none;
  background: none;
  padding: 0;
  display: inline-flex;
}
.tool__cta {
  cursor: pointer;
  outline: none;
  border: none;
  border-radius: 360px;
  background: #C1008D;
  padding: 8px 24px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  font-family: inherit;
  color: #fff;
  font-size: 12px;
  font-weight: 700;
  line-height: 24px;
  text-transform: capitalize;
  transition: background 0.2s ease, font-size 0.2s ease;
}
@media (any-hover: hover) {
  .tool__cta:not(:disabled):hover {
    background: #E500A7;
  }
}
.tool__cta.loading span {
  font-size: 0;
}
.tool__cta + .tool__error {
  margin-top: 12px;
}
.tool__error {
  padding-left: 18px;
  color: #FFAF5E;
  font-size: 13px;
  line-height: 120%;
  position: relative;
}
.tool__error::before {
  content: url(/files/images/svg/icon-tool-error.svg);
  position: absolute;
  top: 1px;
  left: 0;
  display: inline-block;
  background-size: 14px;
  background-repeat: no-repeat;
  width: 14px;
  height: 14px;
}

@media screen and (max-width: 1024px) {
  .tool {
    border-radius: 32px;
    background: linear-gradient(238deg, #66004F 0%, #6F0958 100%), linear-gradient(0deg, #7B1364 0%, #7B1364 100%), linear-gradient(13deg, #7B1364 40.61%, #6C0655 59.39%);
  }
  .tool__input {
    padding-inline: 4px;
  }
  .tool__cta + .tool__error {
    margin-top: 8px;
  }
  @supports (-webkit-touch-callout: none) {
    .tool input[type=text],
    .tool input[type=email],
    .tool input[type=number],
    .tool input[type=password],
    .tool input[type=tel],
    .tool textarea,
    .tool select {
      font-size: 16px;
      line-height: 22px;
    }
  }
}
.counter-button {
  cursor: pointer;
  outline: none;
  border: none;
  background: none;
  padding: 0;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-family: inherit;
  text-align: center;
  font-size: 14px;
  line-height: 1;
}
.counter-button--main {
  width: 46px;
  height: 46px;
  border-radius: 50%;
  border: 1px solid #C1008D;
  color: #fff;
}
.counter-button--main:disabled {
  pointer-events: none;
  border-color: #8C1C73;
  color: #8C1C73;
}
.counter-button--secondary {
  width: 24px;
  height: 24px;
  color: #851D6E;
}
.counter-button--secondary:disabled {
  pointer-events: none;
  color: #BEBEBE;
}

.countable-input {
  position: relative;
}
.countable-input .counter-button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 1;
}
.countable-input .counter-button--decrement {
  left: 12px;
}
.countable-input .counter-button--increment {
  right: 12px;
}
.countable-input .tool__input {
  width: 100%;
  padding-inline: 38px;
}

.lottery-generator {
  display: flex;
}

.lottery-form {
  padding: 32px;
  width: min(434px, 100%);
}
.lottery-form__settings {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.lottery-form__settings-item {
  display: grid;
  grid-template-columns: 102px repeat(2, auto minmax(20px, 1fr));
  align-items: center;
  gap: 12px;
  color: #fff;
  font-size: 14px;
  line-height: 20px;
}
.lottery-form__settings-item--tickets {
  margin-top: 4px;
  display: flex;
  justify-content: space-between;
  gap: 16px;
}
.lottery-form__settings-item--tickets .tool__input {
  flex: 1;
}
.lottery-form__generate {
  margin-top: 24px;
  width: 100%;
  min-height: 46px;
}

@media screen and (max-width: 1024px) {
  .lottery-generator {
    flex-direction: column;
  }
  .lottery-form {
    padding: 24px 16px 16px;
    width: min(532px, 100%);
    align-self: center;
  }
  .lottery-form__settings-item {
    gap: 8px;
    font-size: 13px;
    line-height: 18px;
  }
  .lottery-form__settings-item--tickets {
    gap: 16px;
  }
  .lottery-form__generate {
    margin-top: 16px;
    min-height: 40px;
  }
}
.advanced-settings__opener {
  cursor: pointer;
  outline: none;
  width: 100%;
  padding: 10.5px 24px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 4px;
  border-radius: 360px;
  border: 1px solid #C1008D;
  background: transparent;
  text-align: center;
  color: #fff;
  font-size: 12px;
  font-weight: 700;
  line-height: 24px;
  text-transform: capitalize;
  transition: background 0.2s ease;
}
.advanced-settings__opener:not(.active):hover, .advanced-settings__opener.active {
  background: #C1008D;
}
.advanced-settings__opener:not(.active):hover .icon-arrow-down, .advanced-settings__opener.active .icon-arrow-down {
  rotate: 180deg;
}
.advanced-settings__opener .icon-arrow-down {
  width: 12px;
  height: 7px;
  transition: rotate 0.2s ease;
}
.advanced-settings__wrapper {
  max-height: 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 12px;
  opacity: 0;
  pointer-events: none;
  transition: max-height 0.2s ease, margin-top 0.2s ease, opacity 0.2s ease;
}
.advanced-settings__wrapper.active {
  margin-top: 12px;
  max-height: 400px;
  opacity: 1;
  pointer-events: auto;
}
.advanced-settings__wrapper .tool__input {
  text-align: start;
}
.advanced-settings__checkbox input {
  appearance: none;
  margin: 0;
  padding: 0;
}
.advanced-settings__checkbox input:checked + label::before {
  background-color: #F9FAFA;
  background-size: 20px;
  border-color: transparent;
}
.advanced-settings__checkbox input:disabled + label {
  pointer-events: none;
  opacity: 0.5;
}
.advanced-settings__checkbox label {
  cursor: pointer;
  width: fit-content;
  display: flex;
  align-items: center;
  gap: 12px;
  color: #fff;
  font-size: 14px;
  line-height: 20px;
  transition: background 0.2s ease;
}
.advanced-settings__checkbox label::before {
  content: "";
  display: inline-block;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  border: 2px solid #7B1364;
  background: url(/files/images/svg/icon-generator-checked.svg) no-repeat;
  background-size: 0;
  background-position: center;
  transition: background-color 0.2s ease, border-color 0.2s ease, background-size 0.2s ease;
}
@media (any-hover: hover) {
  .advanced-settings__checkbox label:hover::before {
    border-color: #C1008D;
  }
}
.advanced-settings__radio {
  padding: 4px;
  border-radius: 360px;
  background: #851D6E;
}
.advanced-settings__radio-wrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 4px;
}
.advanced-settings__radio-wrap span {
  flex: 1 0 80px;
}
.advanced-settings__radio-wrap input {
  appearance: none;
  margin: 0;
  padding: 0;
}
@media (any-hover: hover) {
  .advanced-settings__radio-wrap input:hover:not(:checked) + label {
    background: #E500A7;
  }
}
.advanced-settings__radio-wrap input:checked + label {
  background: #C1008D;
}
.advanced-settings__radio-wrap label {
  cursor: pointer;
  padding: 10.5px 2px;
  border-radius: 360px;
  background: transparent;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 12px;
  font-weight: 700;
  text-transform: capitalize;
  transition: background 0.2s ease;
}

@media screen and (max-width: 1024px) {
  .advanced-settings__opener {
    padding: 10px 8px;
  }
  .advanced-settings__wrapper .tool__input {
    padding-inline: 16px;
  }
  .advanced-settings__radio-wrap span {
    flex: 1 0 60px;
  }
}
.lottery-results {
  padding: 64px 24px 40px 32px;
  background: #551045;
  border-top-right-radius: inherit;
  border-bottom-right-radius: inherit;
  display: flex;
  flex-direction: column;
  flex: 1 0 0;
  row-gap: 24px;
  max-height: 1010px;
  overflow-y: auto;
  scrollbar-width: thin;
  scrollbar-color: #F7E5FC #7B1364;
  counter-reset: results-counter;
}
.lottery-results::-webkit-scrollbar {
  width: 2px;
}
.lottery-results::-webkit-scrollbar-track {
  background: #7B1364;
}
.lottery-results::-webkit-scrollbar-thumb {
  background: #F7E5FC;
  border-radius: 0;
}
.lottery-results__item {
  display: grid;
  grid-template-columns: 45px 1fr 24px;
  gap: 16px;
  text-align: center;
  counter-increment: results-counter;
}
.lottery-results__item .count::before {
  content: counter(results-counter);
  width: 45px;
  height: 45px;
  border-radius: 50%;
  border: 2px solid #851D6E;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  font-size: 14px;
  font-weight: 700;
  line-height: 20px;
}
.lottery-results__item-balls {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 8px;
}
.lottery-results__item .ball {
  width: 45px;
  height: 45px;
  padding: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background: radial-gradient(59.15% 50.8% at 35% 41%, #FFF 0%, rgba(255, 255, 255, 0) 100%), radial-gradient(68.7% 57.71% at 41% 42%, rgba(255, 255, 255, 0) 0%, rgba(225, 189, 237, 0.2) 85.1%, rgba(136, 44, 127, 0.2) 100%), radial-gradient(65.8% 65.8% at 62% 61%, rgba(255, 255, 255, 0) 0%, rgba(151, 82, 174, 0.2) 87.5%, rgba(255, 255, 255, 0.2) 100%), radial-gradient(193.22% 193.22% at 93% 27%, rgba(255, 255, 255, 0.8) 0%, rgba(255, 255, 255, 0) 44.71%), radial-gradient(132.77% 132.77% at 32% 36%, #FFF 0%, rgba(255, 255, 255, 0) 44.71%), radial-gradient(78.24% 78.24% at 32% 36%, #E9C5EB 0%, #DA93C8 72.6%, #F5B1D6 94.71%);
  box-shadow: 0 -1px 4px 0 rgba(0, 0, 0, 0.25) inset;
  color: #851D6E;
  text-align: center;
  font-family: "Plus Jakarta Sans", "Open Sans", sans-serif;
  font-size: 20px;
  font-weight: 800;
  line-height: 100%;
  letter-spacing: -0.6px;
}
.lottery-results__item .ball.special {
  border-color: #C0CA73;
  background: url(/files/images/svg/icon-lottery-generator-special-number.svg), radial-gradient(59.15% 50.8% at 35% 41%, #FFF 0%, rgba(255, 255, 255, 0) 100%), radial-gradient(68.7% 57.71% at 41% 42%, rgba(255, 255, 255, 0) 0%, rgba(225, 189, 237, 0.2) 85.1%, rgba(136, 44, 127, 0.2) 100%), radial-gradient(65.8% 65.8% at 62% 61%, rgba(255, 255, 255, 0) 0%, rgba(151, 82, 174, 0.2) 87.5%, rgba(255, 255, 255, 0.2) 100%), radial-gradient(193.22% 193.22% at 93% 27%, rgba(255, 255, 255, 0.8) 0%, rgba(255, 255, 255, 0) 44.71%), radial-gradient(132.77% 132.77% at 32% 36%, #FFF 0%, rgba(255, 255, 255, 0) 44.71%), radial-gradient(78.24% 78.24% at 32% 36%, #E9C5EB 0%, #DA93C8 72.6%, #F5B1D6 94.71%);
}
.lottery-results__item-copy {
  cursor: pointer;
  padding: 0;
  outline: none;
  background: none;
  border: none;
  display: flex;
  align-self: center;
}
.lottery-results__item + .lottery-results__item {
  padding-top: 24px;
  border-top: 1px solid #7B1364;
}

@media screen and (max-width: 1024px) {
  .lottery-results {
    padding: 24px 16px;
    border-top-right-radius: 0;
    border-bottom-right-radius: inherit;
    border-bottom-left-radius: inherit;
    align-items: center;
    flex: 1 0 100%;
    row-gap: 16px;
    max-height: max-content;
  }
  .lottery-results__item {
    width: min(500px, 100%);
    grid-template-columns: 32px 1fr 24px;
    gap: 12px;
  }
  .lottery-results__item .count::before {
    width: 32px;
    height: 32px;
    font-size: 13px;
    line-height: 18px;
  }
  .lottery-results__item .ball {
    width: 32px;
    height: 32px;
    color: #851D6E;
    text-align: center;
    font-family: "Plus Jakarta Sans", "Open Sans", sans-serif;
    font-size: 14px;
    letter-spacing: -0.42px;
  }
  .lottery-results__item + .lottery-results__item {
    padding-top: 16px;
  }
}